local S = core.get_translator("block_league")

arena_lib.on_join_queue("block_league", function(arena, p_name)
  if block_league.has_exceeded_weekly_time(p_name) then
    block_league.print_error(p_name, S("Uh oh, it seems that your recent spending of a lot of time in game has broken our experience and level dispenser. Be patient until Thursday and it'll be as new!"))
  end
end)